summaryrefslogtreecommitdiffstats
path: root/libraries/liboop
diff options
context:
space:
mode:
author Menno E. Duursma <druiloor@zonnet.nl>2010-05-11 22:54:11 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:11 +0200
commit865b56e57662acdccc8192b6db7d303c873dfe9a (patch)
tree211d8623a4448c3698a1f8bc50d974e425e7da09 /libraries/liboop
parent2f8141ba26a684a569c682ca190c21d7260883f2 (diff)
downloadslackbuilds-865b56e57662acdccc8192b6db7d303c873dfe9a.tar.gz
slackbuilds-865b56e57662acdccc8192b6db7d303c873dfe9a.tar.xz
libraries/liboop: Added to 12.1 repository
Diffstat (limited to 'libraries/liboop')
-rw-r--r--libraries/liboop/README8
-rw-r--r--libraries/liboop/liboop.SlackBuild75
-rw-r--r--libraries/liboop/liboop.info8
-rw-r--r--libraries/liboop/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/libraries/liboop/README b/libraries/liboop/README
new file mode 100644
index 0000000000..08dd15820a
--- /dev/null
+++ b/libraries/liboop/README
@@ -0,0 +1,8 @@
+Liboop is a low-level event loop management library for POSIX-based
+operating systems. It supports the development of modular, multiplexed
+applications which may respond to events from several sources.
+
+It replaces the "select() loop" and allows the registration of event
+handlers for file and network I/O, timers and signals. Since processes
+use these mechanisms for almost all external communication, liboop can
+be used as the basis for almost any application.
diff --git a/libraries/liboop/liboop.SlackBuild b/libraries/liboop/liboop.SlackBuild
new file mode 100644
index 0000000000..ff0d604cd8
--- /dev/null
+++ b/libraries/liboop/liboop.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for liboop
+
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=liboop
+VERSION=${VERSION:-1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,go-w .
+
+# build including libwww adapter
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-libwww \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG || exit 1
+ find . -type f \
+ | xargs file \
+ | grep -e "executable"
+ -e "shared object" \
+ | grep ELF \
+ | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/liboop/liboop.info b/libraries/liboop/liboop.info
new file mode 100644
index 0000000000..2f9acb846d
--- /dev/null
+++ b/libraries/liboop/liboop.info
@@ -0,0 +1,8 @@
+PRGNAM="liboop"
+VERSION="1.0"
+HOMEPAGE="http://liboop.ofb.net/"
+DOWNLOAD="http://download.ofb.net/liboop/liboop-1.0.tar.gz"
+MD5SUM="36cb971047d3af02369446f5e0b315a2"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/libraries/liboop/slack-desc b/libraries/liboop/slack-desc
new file mode 100644
index 0000000000..d189f6a096
--- /dev/null
+++ b/libraries/liboop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+liboop: Liboop (event loop management)
+liboop:
+liboop: Liboop is a low-level event loop management library for
+liboop: POSIX-based operating systems.
+liboop:
+liboop: Liboop was written by Dan Egnor
+liboop:
+liboop:
+liboop:
+liboop:
+liboop: